Hi Chan

Thanks for info, I will give it a try.

Thanks,
Steven

On Sun, Oct 16, 2016 at 8:00 PM, Chan Lee <chanlee...@gmail.com> wrote:

> Hi Steven,
>
> This seems to be a general problem with mac os using newer version of gcc,
> as described here:
> http://stackoverflow.com/questions/19577759/installing-
> libv8-gem-on-os-x-10-9
> .
>
> I'm also using mac os 10.11, and simple `bundle update` solved the problem
> for me. Hope this helps.
>
> Chan
>
> On Sun, Oct 16, 2016 at 2:33 PM, Steven Yan <steven....@salesforce.com>
> wrote:
>
> > To whom it may concern,
> >
> > I am interested in contributing to documentation, so I am following
> > http://predictionio.incubator.apache.org/community/
> > contribute-documentation/
> > on macbook pro, *osx 10.11.6*.
> >
> > $ cd docs/manual$ gem install bundler$ bundle install$ npm install -g
> > bower$ bower install
> >
> >
> > at `bundle install`, it reports
> > `An error occurred while installing libv8 (3.16.14.13), and Bundler
> cannot
> > continue.
> > Make sure that `gem install libv8 -v '3.16.14.13'` succeeds before
> > bundling.
> > `
> >
> > running `gem install libv8 -v '3.16.14.13'`
> > will give error
> > ../src/objects.h:5252:44: error: shifting a negative signed value is
> > undefined [-Werror,-Wshift-negative-value]
> >   static const int kElementsKindMask = (-1 << kElementsKindShift) &
> >                                         ~~ ^
> > ../src/objects.h:7386:36: error: shifting a negative signed value is
> > undefined [-Werror,-Wshift-negative-value]
> >       (~kMaxCachedArrayIndexLength << kArrayIndexHashLengthShift) |
> >        ~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^
> >
> > however, running `gem install libv8` will not give error.
> >
> > after running `gem install libv8`, `bundle install` still gives error,
> > insisting I make sure `gem install libv8 -v '3.16.14.13'` works.
> >
> > Any solution for this problem? Thanks a lot.
> >
> > Thanks,
> > Steven
> >
>

Reply via email to